Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class LevelMeterInfo

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.movies.media.LevelMeterInfo

All Implemented Interfaces:
  quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class LevelMeterInfo
extends QTByteObject

This class returns information from the SoundMediaHandler of the number of channels available for metering and the left and right meter level

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize`

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`LevelMeterInfo()`

Method Summary
`int` | `getLeftMeterLevel()`
`int` | `getNumChannels()` mono or stereo source
`int` | `getRightMeterLevel()`
`java.lang.String` | `toString()` Returns a string representation of this object

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

Constructor Detail

### LevelMeterInfo

    public LevelMeterInfo()

Method Detail

### getNumChannels

    public int getNumChannels()

  mono or stereo source
  Returns:
    the number of channels

### getLeftMeterLevel

    public int getLeftMeterLevel()

  Returns:
    the left meter lever 0-255 range

### getRightMeterLevel

    public int getRightMeterLevel()

  Returns:
    the right meter lever 0-255 range

### toString

    public java.lang.String toString()

  Description copied from class: `QTByteObject`
  Returns a string representation of this object
  Overrides:
    `toString` in class `QTByteObject`
  Returns:
    a String represenation of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD